<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="../shell/default.jspf"%>
<%@page import="com.sas.framework.commons.keys.CapabilityKeys"%>
<%@page import="com.sas.svcs.comments.webapp.util.CommentManagerKeys"%>
<%@page import="com.sas.servlet.tbeans.tableview.html.TableViewStyleKeysInterface"%>
<%@ taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>
<%@ taglib uri="http://www.springframework.org/security/tags" prefix="sec" %>

<jsp:useBean id="c_id" type="java.lang.String" scope="request"/>
<sas-ui:PanelContainer imgShow="panel_toggle_show"
                       imgHide="panel_toggle_hide"
                       alignRight="false">
  <sas-ui:Panel>
    <sas-ui:Help pageKey="comment_browse"/>
    <sas-ui:Message styleClass="solutionsSmallItem"/>

    <logic:present name="<%=CommentManagerKeys.SUBJECT%>">
    <table width="90%" cellspacing="0" cellpadding="0" border="0">
    <tr>
    <td>
    <table width="90%" cellspacing="0" cellpadding="0" border="0">
       <tr>
          <td colspan="2">
             <span class="commonHeading"><bean:write name="<%=CommentManagerKeys.SUBJECT%>"/></span>
          </td>
       </tr>
       <tr>
          <td class="toppadding"><sas-ui:Text key="comment.author.txt" /></td>
          <td nowrap="nowrap" align="left" class="toppadding">
             <span class="commonLabel"><bean:write name="<%=CommentManagerKeys.AUTHOR%>"/></span>
          </td>
       </tr>
       <tr>
          <td><sas-ui:Text key="comment.date.txt" /></td>
          <td nowrap="nowrap">
             <span class="commonLabel"><bean:write name="<%=CommentManagerKeys.CREATED%>"/></span>
          </td>
       </tr>
       <tr>
          <td colspan="2" class="toppadding"><p class="scrollText440200"><bean:write name="<%=CommentManagerKeys.TEXT%>"/></p></td>
       </tr>
       <tr>
          <td colspan="2" class="toppadding">
             <html:form action="/ReplyComment" method="post">
                  <sas-ui:Button actionKey="Comment.Reply" useHidden="true" />
				  <sec:authorize access="hasAuthority('PRIV_EDIT_COMMENT')">
                  &nbsp;<sas-ui:Button actionKey="Comment.Edit" useHidden="false" />
				  </sec:authorize>
				  <sec:authorize access="hasAuthority('PRIV_DELETE_COMMENT')">
                  <logic:present name="<%=CommentManagerKeys.IS_COMMENT_LEAF%>">
                  &nbsp;<sas-ui:Button actionKey="Comment.Delete" useHidden="false"/>
                  </logic:present>
				  </sec:authorize>
              </html:form>
           </td>
       </tr>
    <logic:present name="<%=CommentManagerKeys.ATTACHMENT_MODEL%>">
       <tr>
          <td colspan="2" class="toppadding">
            <table width="95%" border="0" cellPadding="0" cellSpacing="0">
              <tr>
                <td>
                    <sas:TableView
                         model="<%=CommentManagerKeys.ATTACHMENT_MODEL%>"
                         cellPadding="0"
                         cellSpacing="0"
                         scope="request"
                         rowHeaderVisible="false"
                         formEnabled="false"
                         widthPercentage="100"
                         autoCreateColumnsFromModel="false">
                      <sas:Columns>
                        <sas:Column modelIndex="-1">
                           <sas:ColumnHeaderRenderer>
                             <sas:StyleInfo classid="transparentTableHeader"/>
                             <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                                 <sas-ui:Text key="comment.attachment.txt"/>
                             </sas:CellContentsSimpleTemplateRenderer>
                           </sas:ColumnHeaderRenderer>
                           <sas:CellRenderer widthPercentage="50">
                              <sas:StyleInfo classid="textTableCellTrans"/>
                              <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                                <a target=_blank href="ViewCommentAttachment.do?command=existing&<%=CommentManagerKeys.ATTACHMENT_ID%>=%Id">
                                    <img border="0" src="<sas-ui:ThemeImageRef image="%Image" />">&nbsp;%Name
                                </a>
                              </sas:CellContentsSimpleTemplateRenderer>
                           </sas:CellRenderer>
                        </sas:Column>
                        <sas:Column modelIndex="-1">
                           <sas:ColumnHeaderRenderer>
                             <sas:StyleInfo classid="transparentTableHeader"/>
                             <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                                 <sas-ui:Text key="comment.attachment.description.txt"/>
                             </sas:CellContentsSimpleTemplateRenderer>
                           </sas:ColumnHeaderRenderer>
                           <sas:CellRenderer widthPercentage="50">
                           <sas:StyleInfo classid="textTableCellTrans"/>
                              <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                                %Description
                              </sas:CellContentsSimpleTemplateRenderer>
                           </sas:CellRenderer>
                        </sas:Column>
                      </sas:Columns>
                      <sas:StyleMapKey key="<%=TableViewStyleKeysInterface.TABLEVIEW_STYLE%>" classid="transparentTable"/>
                    </sas:TableView>
                </td>
              </tr>
            </table>
          </td>
       </tr>
    </logic:present>
    </table>
    </td>
    </tr>
    </table>
    </logic:present>

  </sas-ui:Panel>
  <sas-ui:SlidePanel styleClass="dataEntryBG" overflow="true">
    <logic:present name="<%=CommentManagerKeys.COMMENT_TREE%>">
        <table cellpadding="0" cellspacing="0">
           <tr height="100%">
             <td id="tdTreeView">
                <sas:TreeView id="treeView"
                              scope="request"
                              model="<%=CommentManagerKeys.COMMENT_TREE%>"
                              imageVisible="true"
                              usingURLLinks="true"
                              nodeLoading="FULL"
                              rootNodeVisible="false"
                              target="_self"
                              expansionLevel="1"
                              usePlusMinus="true"
                              selectionMode="SINGLE_SELECTION"
                              selectedNode="<%=c_id%>"
                  />
             </td>
           </tr>
         </table>
     </logic:present>
   </sas-ui:SlidePanel>
</sas-ui:PanelContainer>
