<%@ taglib tagdir="/WEB-INF/tags" prefix="logon"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<%--

    Licensed to Jasig under one or more contributor license
    agreements. See the NOTICE file distributed with this work
    for additional information regarding copyright ownership.
    Jasig licenses this file to you under the Apache License,
    Version 2.0 (the "License"); you may not use this file
    except in compliance with the License. You may obtain a
    copy of the License at:

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on
    an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied. See the License for the
    specific language governing permissions and limitations
    under the License.

--%>

<%@ page contentType="text/html; charset=UTF-8"%>
<!DOCTYPE html>
<logon:html>
<logon:head />

<body id="cas">
	<div id="page">
		<logon:banner />
		<div class="content row">
			<%--
                <c:if test="${not pageContext.request.secure}">
                    <div id="ssl-message" class="alert-message message-box error">
                        <h2><spring:message code="screen.ssl.warning.header" /></h2>
                        <p><spring:message code="screen.ssl.warning.message" /></p>
                    </div>
                </c:if>
--%>
                <form:form method="post" id="fm1" cssClass="form-stacked" commandName="${commandName}" htmlEscape="true" onSubmit="return setSubmitUrl(this);">
				<fieldset>
					<c:if test="${not empty param.sasAuthError}">
						<div class="alert-message message-box error">
	                         	<h2><spring:message code="error.sas.authentication" /></h2>
						</div>
					</c:if>
					<c:if test="${concurrentLoginError}">
						<div class="alert-message message-box error">
	                         	<h2><spring:message code="error.sas.concurrent.login" /></h2>
						</div>
					</c:if>
					<form:errors path="*">
						<div class="alert-message message-box error" id="status">
							<c:choose>
								<c:when test="${messages.size() == 2}">
									<h2><spring:message code="required.username.password" /></h2>
								</c:when>
								<c:otherwise>
									<c:forEach items="${messages}" var="message">
										<h2>${fn:escapeXml(message)}</h2>
									</c:forEach>
								</c:otherwise>
							</c:choose>
						</div>
					</form:errors>
                        <legend><spring:message code="sas.page.title" /></legend>
					<div class="clearfix">
                            <label for="username"><spring:message code="screen.welcome.label.netid" /></label>
						<c:choose>
							<c:when test="${not empty sessionScope.openIdLocalId}">
								<strong>${sessionScope.openIdLocalId}</strong>
                                    <input type="hidden" id="username" name="username" value="${sessionScope.openIdLocalId}" />
							</c:when>
							<c:otherwise>
                                    <spring:message code="screen.welcome.label.netid.accesskey" var="userNameAccessKey" />
                                    <form:input cssClass="required" cssErrorClass="error" id="username" size="25" tabindex="1" accesskey="${userNameAccessKey}" path="username" autocomplete="off" htmlEscape="true" />
							</c:otherwise>
						</c:choose>
					</div>
					<div class="clearfix">
                            <label for="password"><spring:message code="screen.welcome.label.password" /></label>
						<%--
                            NOTE: Certain browsers will offer the option of caching passwords for a user.  There is a non-standard attribute,
                            "autocomplete" that when set to "off" will tell certain browsers not to prompt to cache credentials.  For more
                            information, see the following web page:
                            http://www.geocities.com/technofundo/tech/web/ie_autocomplete.html
                            --%>
                            <spring:message code="screen.welcome.label.password.accesskey" var="passwordAccessKey" />
                            <form:password cssClass="required" cssErrorClass="error" id="password" size="25" tabindex="2" path="password"  accesskey="${passwordAccessKey}" htmlEscape="true" autocomplete="off" />
					</div>
				</fieldset>
				<input type="hidden" name="lt" value="${loginTicket}" />
				<input type="hidden" name="execution" value="${flowExecutionKey}" />
				<input type="hidden" name="_eventId" value="submit" />
                    <div class="submitb"><input id="Logon" type="submit" value="<spring:message code="sas.logon" />" tabindex="3" /></div>
			</form:form>
			<c:if test="${sas_svcs_logon_DisplayCustomLogonMessage}">
				<div class="customizations" id="custom-logon-message">
                  	<%@include file="logon_custom.jsp" %>
				</div>
			</c:if>

			<div class="copyright">
				<spring:message code="sas.copyright" arguments="2013" />
			</div>
		</div>
	</div>
	<logon:javascript />
	<script type="text/javascript">
            $("#username").focus();
            
            function setSubmitUrl(form)
            {
            	var urlHash = decodeURIComponent(window.location.hash);
            	
            	if (urlHash && urlHash.indexOf("#") === -1)
            		urlHash = "#" + urlHash;
            	
            	form.action = form.action + urlHash;
            	return true;
            }
    </script>
</body>
</logon:html>

