<%--

    Licensed to Jasig under one or more contributor license
    agreements. See the NOTICE file distributed with this work
    for additional information regarding copyright ownership.
    Jasig licenses this file to you under the Apache License,
    Version 2.0 (the "License"); you may not use this file
    except in compliance with the License. You may obtain a
    copy of the License at:

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on
    an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied. See the License for the
    specific language governing permissions and limitations
    under the License.

--%>
<%@ taglib tagdir="/WEB-INF/tags" prefix="logon" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<!DOCTYPE html>
<logon:html>
    <logon:head />

    <body id="cas">
        <div id="page">
            <logon:banner />
            <div class="content row">
                <div id="msg" class="alert-message message-box success">
            		<h2><spring:message code="sas.app.timeout" />
            			<c:if test="${sas_svcs_logon_LogonAgainFromTimeout && !param[\"disable.logon\"]}">
            				<spring:message code="sas.app.timeout.reenter" />
            			</c:if>
            		</h2>
            		<p><spring:message code="sas.app.timeout.info" /></p>
            		<c:if test="${sas_svcs_logon_DisplayTimeoutSecurityMessage}">
            			<p><spring:message code="screen.logout.security" /></p>
            		</c:if>
                </div>
                <c:if test="${sas_svcs_logon_DisplayCustomTimeoutMessage}">
	            	<div class="customizations" id="custom-timeout-message">
	               		<%@include file="timeout_custom.jsp" %>
	                </div>
	            </c:if>
	            <div class="customizations" id="logon-again">
		            <c:if test="${sas_svcs_logon_LogonAgainFromTimeout && !param[\"disable.logon\"]}">
		            	<form class="form-inline" onsubmit="return false;">
		            			<input type="button" class="btn primary" value="<spring:message code="sas.return" />"
		            			onClick="javascript:window.location.href='${fn:escapeXml(sas_svcs_logon_LogonUrl)}?${params}';">
		            	</form>
		            </c:if>
		            <form class="form-inline" onsubmit="return false;">
		          			<input type="button" class="btn primary" value="<spring:message code="sas.logoff" />"
		          			onClick="javascript:window.location.href='logout?${params}';">
		           	</form>
            	</div>
            </div>
        </div>
        <logon:javascript />
    </body>
</logon:html>
