$(document).ready(function(){
	var template_url = $("#template_url").val();
	
	//pop preview dialog
	$("#preview_btn").click(function(){
		$("#preview_dialog").dialog("open");
		var activeTab = $("#tabs li.ui-state-active > a").text();
		var id = $("#notificationTemplate\\.id").val();
		if(activeTab === "HTML"){
			var template = $("#htmlTemplate").val();
			getContent(activeTab, template, id);
		}
		if(activeTab === "Text"){
			var template = $("#textTemplate").val();
			getContent(activeTab, template, id);
		}
		if(activeTab === "SMS"){
			$("#preview_dialog > p").html("<pre>" + $("#smsTemplate").val() + "</pre>");
		}
	});
	
	//pop preview dialog for letterhead
	$("#lttr_preview_btn").click(function(){
		$("#preview_dialog").dialog("open");
		var activeTab = $("#tabs li.ui-state-active > a").text();
		if(activeTab === "HTML"){
			$("#preview_dialog > p").html($("#htmlTemplate").val());
		}
		if(activeTab === "Text"){
			$("#preview_dialog > p").html("<pre>" + $("#textTemplate").val() + "</pre>");
		}
	});
	
	//pop send test notification dialog
	$("#test_btn").click(function(){
		$("#test_dialog").dialog("open");
		
		//get merge vars
		$.ajax({
			type: 'POST',
			url: template_url + '/getVariables',
			data: {
				template: $("#htmlTemplate").val()
			},
			success: function(result)
			{
				$("#varTable tbody>tr").remove();
				if(result !== null)
				{
					var tbody = $("#varTable tbody:last");
					for(var i = 0; i< result.length; i++){
						var trElement = getVarTableElement(result[i]);
						tbody.append(trElement);
					}
				}
			}
		});
	});
	
	//ajax call to send test notification
	$("#sendData").click(function(){
		var str = "";
		var i = 0;
		$("#varTable tbody tr input[type=text]").each(function(){
			if(i > 0)
				str = str + "&";
			str = str + "merge_" + $(this).attr("id") + "=" + $(this).val();
			i++;
		});
		var name = $("#notificationTemplate\\.name").val();
		var locale = $("#notificationTemplate\\.locale").val();
		str = str + "&" + "name" + "=" + name;
		str = str + "&" + "locale" + "=" + locale;
		
		$("#msg").html("");
		$("#msg").hide();
						
		$.post(template_url + "/sendNotification", str, function(result){
			$("#msg").append(result).show();
		});
	});
	
	function getVarTableElement(variable)
	{
		var trElement = $(document.createElement("tr"));
		trElement.append(getTdElement().append(variable));
		var td2 = getTdElement();
		td2.append("<input type='text' id='"+ variable +"' />");
		trElement.append(td2);
		return trElement;
	}
	function getTdElement()
	{
		return $(document.createElement("td"));
	}
	
	//change locale
	$("#notificationTemplate\\.locale").change(function(){
		this.form.submit();
	});
	
	//change version
	$("#notificationTemplate\\.version").change(function(){
		this.form.submit();
	});

	function getContent(activeTab, template, id)
	{
		$.ajax({
			type: 'POST',
			url: template_url + '/preview',
			data: {
				type: activeTab,
				template: template,
				id: id
			},
			success: function(result)
			{
				if(activeTab === "HTML")
					$("#preview_dialog > p").html(result);
				else if(activeTab === "Text")
					$("#preview_dialog > p").html("<pre>" + result + "</pre>");
			}
		});
	}
	
	//pop new template dialog
	$("#new_btn").click(function(){
		$("#new_dialog").dialog("open");
	});
	
	//refresh form
	$("#refresh_btn").click(function(){
		$("#locale_form").submit();
	});
	
	//check all script
	$("#checkAll").click(function(){
		$('.checkboxes > tbody').find(':checkbox').attr('checked', this.checked);
	});
	
	$("input[name='templateId']").click(function(){
		if($("input[name='templateId']").length == $("input[name='templateId']:checked").length)
		{
			$("#checkAll").attr('checked', 'checked');
		}
		else
		{
			$("#checkAll").removeAttr('checked');
		}
	});
	
	$("#activate_btn").click(function(){
		$("#action").val("activate");
		this.form.submit();
	});
	
	$("#save_btn").click(function(){
		$("#action").val("save");
		this.form.submit();
	});
	
});

function confirmDelete(msg)
{
		var r = confirm(msg);
		if(r)
		{
			$("#delete_form").submit();
		}
		else
		{
			return false;
		}
}